Repo API
Routers
Section titled “Routers”router→ prefix/api/resource/Repo(tags: Repo)method_router→ prefix/api/method(tags: Repo Methods)
Hand-maintained notes against modules/repo/router.go. Route inventory (generated): routes.md. Response models (generated): response-models/repo.md.
Router router
Section titled “Router router”| Method | Path | Permission |
|---|---|---|
GET | /api/resource/Repo | — |
POST | /api/resource/Repo | — |
DELETE | /api/resource/Repo/{name} | — |
GET | /api/resource/Repo/{name} | — |
PATCH | /api/resource/Repo/{name} | — |
GET /api/resource/Repo
Section titled “GET /api/resource/Repo”- source:
modules/repo/router.go
POST /api/resource/Repo
Section titled “POST /api/resource/Repo”- source:
modules/repo/router.go
DELETE /api/resource/Repo/{name}
Section titled “DELETE /api/resource/Repo/{name}”- source:
modules/repo/router.go
GET /api/resource/Repo/{name}
Section titled “GET /api/resource/Repo/{name}”- source:
modules/repo/router.go
PATCH /api/resource/Repo/{name}
Section titled “PATCH /api/resource/Repo/{name}”- source:
modules/repo/router.go
Router method_router
Section titled “Router method_router”| Method | Path | Permission |
|---|---|---|
POST | /api/method/shc.repo.sync | — |
POST | /api/method/shc.repo.sync_all | — |
POST /api/method/shc.repo.sync
Section titled “POST /api/method/shc.repo.sync”- source:
modules/repo/router.go
POST /api/method/shc.repo.sync_all
Section titled “POST /api/method/shc.repo.sync_all”- source:
modules/repo/router.go
shc@docs:~$